Up

# NSStringAdditions

### Authors

Richard Frith-Macdonald (`richard@brainstorm.co.uk`)
Alexander Malmberg (`alexander@malmberg.org`)

> Categories which add drawing capabilities to NSAttributedString and NSString.

Copyright: (C) 1999, 2003, 2004 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSAttributedString(NSStringDrawing) category
2. Software documentation for the NSString(NSStringDrawing) category

# Software documentation for the NSAttributedString(NSStringDrawing) category

## NSAttributedString(NSStringDrawing)

> Declared in:
>   AppKit/NSStringDrawing.h

Availability: MacOS-X 10.0.0
Description forthcoming.
Method summary

- -boundingRectWithSize:options:
- -drawAtPoint:
- -drawInRect:
- -drawWithRect:options:
- -size

### boundingRectWithSize: options:

- (NSRect) boundingRectWithSize: (NSSize)size options: (NSStringDrawingOptions)options;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### drawAtPoint:

- (void) drawAtPoint: (NSPoint)point;
Availability: MacOS-X 10.0.0
Description forthcoming.

### drawInRect:

- (void) drawInRect: (NSRect)rect;
Availability: MacOS-X 10.0.0
Description forthcoming.

### drawWithRect: options:

- (void) drawWithRect: (NSRect)rect options: (NSStringDrawingOptions)options;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### size

- (NSSize) size;
Availability: MacOS-X 10.0.0
Description forthcoming.

# Software documentation for the NSString(NSStringDrawing) category

## NSString(NSStringDrawing)

> Declared in:
>   AppKit/NSStringDrawing.h

Availability: MacOS-X 10.0.0
Description forthcoming.
Method summary

- -boundingRectWithSize:options:attributes:
- -drawAtPoint:withAttributes:
- -drawInRect:withAttributes:
- -drawWithRect:options:attributes:
- -sizeWithAttributes:

### boundingRectWithSize: options: attributes:

- (NSRect) boundingRectWithSize: (NSSize)size options: (NSStringDrawingOptions)options attributes: (NSDictionary*)attributes;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### drawAtPoint: withAttributes:

- (void) drawAtPoint: (NSPoint)point withAttributes: (NSDictionary*)attrs;
Availability: MacOS-X 10.0.0
Description forthcoming.

### drawInRect: withAttributes:

- (void) drawInRect: (NSRect)rect withAttributes: (NSDictionary*)attrs;
Availability: MacOS-X 10.0.0
Description forthcoming.

### drawWithRect: options: attributes:

- (void) drawWithRect: (NSRect)rect options: (NSStringDrawingOptions)options attributes: (NSDictionary*)attributes;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### sizeWithAttributes:

- (NSSize) sizeWithAttributes: (NSDictionary*)attrs;
Availability: MacOS-X 10.0.0
Description forthcoming.

Up